---
features:
  secondary:
  - name: "Mask sensitive portions of webhook URLs"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/project/integrations/webhooks.html#mask-sensitive-portions-of-webhook-urls'
    image_url: '/images/unreleased/mask-webhook-urls.png'
    reporter: g.hickman
    stage: manage
    categories:
    - Integrations
    epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/7970'
    description: |
      As you create webhooks to integrate with external services and receive GitLab data for event-driven workflows, you might have to supply callback URLs that include sensitive data. With this feature, you can now mask personal tokens, passwords, usernames, domains, and any other sensitive data when configuring your webhooks.
